package mediateca;

import java.io.*;

public abstract class Media
{
	String categoria;
	String titolo;

	public String toString()
	{
		return categoria + "\n" + titolo + "\n";
	}

	public boolean equals(Object o)
	{
		Media m = (Media)o;
		return titolo.equals(m.titolo);
	}

	public boolean populate(BufferedReader br)
	{
		try
		{
			titolo = br.readLine();
			if(titolo == null)
			{
				return false;
			}

			categoria = br.readLine();
			if(categoria == null)
			{
				return false;
			}
		}
		catch(IOException ioe)
		{
			ioe.printStackTrace();
			return false;
		}
		return true;
	}
}
